Loading...
Searching...
No Matches
log.h File Reference
SPA » Debug

spa/debug/log.h More...

Go to the source code of this file.

## Data Structures

struct | spa_debug_log_ctx

## Macros

#define | SPA_API_DEBUG_LOG static inline
#define | SPA_LOGF_DEBUG_INIT(_l, _lev, _t, _file, _line, _func)
#define | SPA_LOGT_DEBUG_INIT(_l, _lev, _t)
#define | SPA_LOG_DEBUG_INIT(l, lev)
#define | spa_debug_log_pod(l, lev, indent, info, pod)
#define | spa_debug_log_format(l, lev, indent, info, format)
#define | spa_debug_log_mem(l, lev, indent, data, len)
#define | spa_debug_log_dict(l, lev, indent, dict)
#define | spa_debug_log_error_location(l, lev, loc, fmt, ...)

## Functions

SPA_API_DEBUG_LOG void | spa_debug_log_log (struct spa_debug_context *ctx, const char *fmt,...)

## Detailed Description

spa/debug/log.h

## Macro Definition Documentation

## SPA_API_DEBUG_LOG

#define SPA_API_DEBUG_LOG static inline